Skip to main content
POST
Refund Order

Authorizations

Authorization
string
header
required

HMAC-SHA256 signature. See the Authorization-Signature header parameter on signed operations.

Headers

Authorization-Signature
string
required

HMAC-SHA256 signature header: 'APIKey=<api_key>,signature=,timestamp=<unix_timestamp>'. The signature is computed over METHOD + path (with the /v3 prefix stripped) + timestamp.

Path Parameters

order_id
string
required

Body

application/json
amount
string
required
Example:

"50.0"

fiat_unit
string | null
Example:

"USD"

currency
object | null
Example:
recipient
string | null
Example:

"0x1234...abcd"

metadata
object | null
Example:

Response

Refund created

id
string
required
Example:

"cuidjkhg3e289y74u5t6v"

created_at
string<date-time>
required
Example:

"2023-01-01T00:00:00Z"

updated_at
string<date-time>
required
Example:

"2023-01-01T00:00:00Z"

organization_id
string
required
Example:

"org_123"

mode
enum<string>
required
Available options:
SALE,
DEPOSIT,
REFUND,
SWAP,
FEE_CLAIM
Example:

"SALE"

status
enum<string>
required
Available options:
PENDING,
EXPIRED,
FAILED,
AWAITING_PAYMENT,
OPTIMISTIC_CONFIRMED,
AWAITING_CONFIRMATION,
EXECUTING_ORDER,
COMPLETED,
REFUNDED,
PARTIAL_PAYMENT
Example:

"PENDING"

fulfillment
object
required
Example:
hosted_url
string
required
Example:

"https://pay.coinvoyage.io/pay/cuidjkhg3e289y74u5t6v"

payment
object | null
Example:
metadata
object | null
Example:
settings
object

Widget/client UI settings configured on the organization. Known fields are documented here; arbitrary extra JSON settings are also allowed.

Example: